package com.edgec.browserbackend.browser.domain;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.List;

@Document(collection = "ipresource")
public class IpResource {
    @Id
    private String id;
    private String ipAddr;
    private IpType ipType;
    private String ipProvider;
    private String ipRegion;
    private IpStatus ipStatus;
    private long createdAt;
    private long validTime;
    private long leftTime;
    private String details;
    List<Long> bindHistory;
    private boolean isDeleted;

}
